package com.tencent.mm.plugin.appbrand.widget.desktop;

import android.support.v7.widget.RecyclerView.v;
import com.tencent.matrix.trace.core.AppMethodBeat;

class f$a {
    public v ahL;
    public v ahM;
    public int ahN;
    public int ahO;
    public int ahP;
    public int ahQ;
    public boolean iYE;

    private f$a(v vVar, v vVar2) {
        this.iYE = false;
        this.ahL = vVar;
        this.ahM = vVar2;
    }

    f$a(v vVar, v vVar2, int i, int i2, int i3, int i4) {
        this(vVar, vVar2);
        this.ahN = i;
        this.ahO = i2;
        this.ahP = i3;
        this.ahQ = i4;
    }

    public final String toString() {
        AppMethodBeat.i(133914);
        String str = "ChangeInfo{oldHolder=" + this.ahL + ", newHolder=" + this.ahM + ", fromX=" + this.ahN + ", fromY=" + this.ahO + ", toX=" + this.ahP + ", toY=" + this.ahQ + '}';
        AppMethodBeat.o(133914);
        return str;
    }
}
